Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class AVTPart

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.AVTPart

Direct Known Subclasses:
  AVTPartSimple, AVTPartXPath

public abstract class AVTPart
extends java.lang.Object
implements java.io.Serializable

Class to hold a part, either a string or XPath, of an Attribute Value Template.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AVTPart()` Construct a part.

Method Summary
`abstract void` | `evaluate(XPathSupport execContext, java.lang.StringBuffer buf, org.w3c.dom.Node context, PrefixResolver nsNode)` Write the evaluated value into the given string buffer.
`void` | `setXPathSupport(XPathSupport support)` Set the XPath support.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPart

    public AVTPart()

  Construct a part.

Method Detail

### evaluate

    public abstract void evaluate(XPathSupport execContext,
                                  java.lang.StringBuffer buf,
                                  org.w3c.dom.Node context,
                                  PrefixResolver nsNode)
                           throws org.xml.sax.SAXException

  Write the evaluated value into the given string buffer.

  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.

### setXPathSupport

    public void setXPathSupport(XPathSupport support)

  Set the XPath support.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD